Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.environment.processing
Class WorkRequest

    java.lang.Object
      rice.environment.processing.WorkRequest

All Implemented Interfaces:
  java.lang.Runnable

    public abstract class WorkRequest

extends java.lang.Object
implements java.lang.Runnable

Extend this class and implement doWork() if you need to do blocking disk IO. This is primarily used by Persistence.

Version:
  $Id: pretty.settings 2305 2005-03-11 20:22:33Z jeffh $
Author:
  Jeff Hoye

Constructor Summary
`WorkRequest()` Constructor for WorkRequest.
`WorkRequest(Continuation c, SelectorManager sm)` Constructor for WorkRequest.

Method Summary
`abstract java.lang.Object` | `doWork()` DESCRIBE THE METHOD
`void` | `returnError(java.lang.Exception e)` DESCRIBE THE METHOD
`void` | `returnResult(java.lang.Object o)` DESCRIBE THE METHOD
`void` | `run()` Main processing method for the WorkRequest object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkRequest

    public WorkRequest(Continuation c,
                       SelectorManager sm)

  Constructor for WorkRequest.

  Parameters:
    `c` - DESCRIBE THE PARAMETER
    `sm` - DESCRIBE THE PARAMETER

### WorkRequest

    public WorkRequest()

  Constructor for WorkRequest.

Method Detail

### returnResult

    public void returnResult(java.lang.Object o)

  DESCRIBE THE METHOD

  Parameters:
    `o` - DESCRIBE THE PARAMETER

### returnError

    public void returnError(java.lang.Exception e)

  DESCRIBE THE METHOD

  Parameters:
    `e` - DESCRIBE THE PARAMETER

### run

    public void run()

  Main processing method for the WorkRequest object

  Specified by:
    `run` in interface `java.lang.Runnable`

### doWork

    public abstract java.lang.Object doWork()
                                     throws java.lang.Exception

  DESCRIBE THE METHOD

  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.lang.Exception` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.